Skip to main content
POST
Update Video

Authorizations

AccessKey
string
header
required

AccessKey based authentication

Path Parameters

libraryId
integer<int64>
required

The ID of the video library.

videoId
string
required

The GUID of the video.

Body

application/json
title
string | null

The title of the video

collectionId
string | null

The ID of the collection where the video belongs. Omit/null to leave the current collection unchanged; send an empty string to remove the video from its collection.

chapters
object[] | null

The list of chapters available for the video, up to 200. Omit/null to leave existing chapters unchanged; providing a list, including an empty one, fully replaces all existing chapters.

moments
object[] | null

The list of moments available for the video, up to 200. Omit/null to leave existing moments unchanged; providing a list, including an empty one, fully replaces all existing moments.

metaTags
object[] | null

The meta tags added to the video, up to 50. Omit/null to leave existing tags unchanged; providing a list, including an empty one, fully replaces all existing tags. Setting a tag with Property "description" also updates the video's Description field.

Response

The video was successfully updated

success
boolean

Determines if the request was successful

message
string | null

Human-readable message describing the result, typically populated with error details when Success is false.

statusCode
integer<int32>

The HTTP status code corresponding to the result of the request.

Last modified on September 10, 2026